Package org.eclipse.cdt.core.parser.util

# Class StringUtil

java.lang.Object
org.eclipse.cdt.core.parser.util.StringUtil

public class StringUtil extends Object
Static methods for working with strings.

Since:
  5.6

## Method Summary

Modifier and Type
Method
Description
`static String`
`join(Iterable<String> strings, String delimiter)`
Joins strings using the given delimiter.
`static String`
`join(String[] strings, String delimiter)`
Joins strings using the given delimiter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### join

public static String join(Iterable<String> strings, String delimiter)
Joins strings using the given delimiter.

### join

public static String join(String[] strings, String delimiter)
Joins strings using the given delimiter.